local majorVersion = 1
local minorVersion = 12

PhotoShelterInfo = {}
PhotoShelterInfo.version = { major = majorVersion, minor = minorVersion }
PhotoShelterInfo.displayVersion = string.format("%d.%02d", majorVersion, minorVersion)
PhotoShelterInfo.pluginName = LOC("$$$/PhotoShelter/PluginName=PhotoShelter V2")
PhotoShelterInfo.isLibris = false
PhotoShelterInfo.developer = true
PhotoShelterInfo.namespace = 'com.okkralabs.lightroom.export.photoshelter'

return {
    LrSdkVersion = 7.0,
    LrSdkMinimumVersion = 6.0,
    LrToolkitIdentifier = PhotoShelterInfo.namespace,
    LrPluginName = PhotoShelterInfo.pluginName,
    VERSION = {
        major = majorVersion,
        minor = minorVersion,
        revision = 0,
        build = 0,
        display = PhotoShelterInfo.displayVersion,
    },
    LrInitPlugin = 'PhotoShelterInitialisation.lua',
    LrPluginInfoProvider = 'PhotoShelterInfoProvider.lua',
		LrMetadataProvider = 'PhotoShelterMetadataProvider.lua',
    LrMetadataTagsetFactory = { 'PhotoShelterMetadataTagset.lua' },
    LrExportServiceProvider = {
        title = PhotoShelterInfo.pluginName,
        file = 'PhotoShelterExportServiceProvider.lua',
    },
    LrExportMenuItems = {
        {
            title = LOC "$$$/PhotoShelter/SynchronizeFrom=Sync From PhotoShelter",
            file = 'PhotoShelterSyncFromRemote.lua'
        },
        {
            title = LOC "$$$/PhotoShelter/SynchronizeTo=Sync To PhotoShelter",
            file = 'PhotoShelterSyncToRemote.lua'
        },
    }
}
