--===========================================================================--
--[[ @sdk
--- LRLib_Logger defines the logging functions utilised by all of the Photographer's
-- Toolbox library functions.
--
	module 'LRLib_Logger' -- not actually executed, but suffices to trick LuaDocs
--]]
--============================================================================--

local LrLogger = import "LrLogger"
local LrDialogs = import "LrDialogs"

local myLogger = LrLogger("Logger")
myLogger:enable("print")

LRLib_Logger = {}

--- Logs the message to the debug console.
-- @param message (string) Message to write to the log
function LRLib_Logger.log(message)
   myLogger:trace(message)
end

--- Logs the message to the debug console.
-- @name LOG
-- @class function
-- @param message (string) Message to write to the log
-- @see LRLib_Logger.log
LOG = LRLib_Logger.log

--- Displays message to the user in a dialog box.
-- @name MSG
-- @class function
-- @param message (string) Message to display in the dialog
MSG = function(msg) LrDialogs.message(tostring(msg)) end