--[[----------------------------------------------------------------------------

Copyright (c) 2010, Timothy Armes (http://www.timothyarmes.com)

All rights reserved.

See included file LICENSE.txt for details.

------------------------------------------------------------------------------]]

local LrView = import 'LrView'
local LrBinding = import 'LrBinding'
local LrPathUtils = import 'LrPathUtils'
local LrTasks = import 'LrTasks'

-- Namespace

LRLib_Spinner = {}

-- The functions

function LRLib_Spinner.start(pt, var, untilValue)
   
   local function SpinnerTask()
      while pt[var] ~= untilValue do
         if pt.spinner == 6 then pt.spinner = 1 else pt.spinner = pt.spinner + 1 end
         LrTasks.sleep(0.02)
      end
      
      pt.spinner = 0
      pt.spinning = false
      
   end
   
   pt.spinner = 1
   pt.spinning = true
   LrTasks.startAsyncTask( SpinnerTask )
    
end

function LRLib_Spinner.view(f, pt)
      
   local bind = LrView.bind
   local share = LrView.share

   local v = {
   
      width = 24,
      height = 24,
      
      place = "overlapping",
      visible = bind "spinning",
   }
   
   local spinner = 1
   while spinner <= 6 do
   
      table.insert(v, f:picture {
            value = LrPathUtils.child(_PLUGIN.path, (LrPathUtils.child("LRLib_Spinner", "spinner"..spinner..".png"))),
            frame_width = 0,
            visible = LrBinding.keyEquals("spinner", spinner)
         })
   
      spinner = spinner + 1
   end

   return f:view(v)

end


