local LrApplication = import 'LrApplication'

PhotoShelterSync = {}

function PhotoShelterSync.quickSync(publishSettings, info, initialSync)
    --local initialSync = initialSync
    -- Synchronise with PhotoShelter
    local authToken = validateLogon(publishSettings)

    if authToken then
        LrDialogs.message(
                LOC("$$$/PhotoShelter/Sync/TimeWarning1/Title=(TBD) Synchonization of the Collection Hierarchy"),
                LOC("$$$/PhotoShelter/Sync/TimeWarning1=The collection hierarchy will now be synchronized with PhotoShelter. Please note that for large archives this can take several minutes to complete."),
                "info"
        )
        --PhotoShelterSync.synchronizeHierarchy(info.publishService, authToken, initialSync)
    end
end

function PhotoShelterSync.destroyDefaultCollection(publishService)
    local collections = publishService:getChildCollections()
    local catalog = LrApplication.activeCatalog()
    catalog:withWriteAccessDo(
            LOC("$$$/PhotoShelter/Sync/Undo=Delete Default Collection"),
            function()
                for _, pubCollection in pairs(collections) do
                    pubCollection:delete()
                end
            end
    )
end