local LrErrors = import 'LrErrors'
require('')
local user = {}

function user.validateLogon(settings)
    local password = LrPasswords.retrieve(settings['accountEmail'], settings['accountEmail'])
    local success, dataOrMsg = PhotoShelterAPI.logon(settings.accountEmail, password)

    if success and dataOrMsg then
        local token = dataOrMsg.token

        -- Log on to the organisation if there is one
        if settings.org then
            success, dataOrMsg = PhotoShelterAPI.logonOrganisation(settings.org, token)
        end

        -- If successful, return the token
        if success then
            return token
        end
    end

    -- Unable to log on, tell the user
    LrErrors.throwUserError(dataOrMsg)
    return nil
end

PhotoShelterUser = user