local LrFunctionContext = import 'LrFunctionContext'
local LrDialogs = import 'LrDialogs'

-- The namespace
Trapper = {}

function Trapper.TRAP(fcn, ...)
		local args = { ... }
				
    local success, error_or_result = LrFunctionContext.pcallWithContext(
            "Trapped Call",
            function(context)
                Trapper.TrapContextErrors(context)
                return fcn(context, args)
            end
    )

    if not success then
        -- Traceback(error_or_result)
        LRLib_Logger.log(error_or_result, args)
				LrErrors.throwCanceled()
    end

    return error_or_result -- result in this case
end

function Trapper.TrapContextErrors(context)
    context:addFailureHandler(
            function(status, theError)
                -- If this isn't a user cancellation, report the error
                if not theError:match("<AgErrorID>canceled</AgErrorID>") then
                    local trimmed = theError:match('<AgErrorText>(.-)</AgErrorText>') or theError

                    if trimmed then
                        LrDialogs.message(trimmed:gsub(".*NOLINE:", ""), nil, "critical")
                    else
                        LrDialogs.message(theError:gsub(".*NOLINE:", ""), nil, "critical")
                    end
                end
            end
    )
end

